// Resistance at a given temperature
// SCILAB source file: ex2103.sce
// Get input data from dialogue box
txt = ['Resistance at 20 deg.C (ohm)';'Temperature coefficient';'Temperature (deg.C)';];
var = x_mdialog('Enter the resistance at room temperature and temperature coefficient',txt,['1000';'0.0039';'45';]);
r20 = evstr(var(1));
a = evstr(var(2));
t = evstr(var(3));
// Find resistance at 0 deg.C
r0 = r20/(1+(a*20));
// Find resistance at given temperature
rt = r0 * (1 + (a*t));
// Display result
messagebox("Resistance at " + string(t) + " deg.C = " + string(rt) + " Ohm")

